Package org.gradle.jvm.toolchain

## Interface JavaDevelopmentKit

-     @Incubating
      public interface JavaDevelopmentKit

  Information about a Java development kit.
  Since:
    6.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RegularFile` | `getJavacExecutable()` | Returns the java compiler executable for this JDK.
    `RegularFile` | `getJavadocExecutable()` | Returns the javadoc executable for this JDK.
    `FileCollection` | `getToolsClasspath()` | Returns the classpath required to compile against the tools APIs of this JDK.

- - ### Method Detail

    - #### getJavacExecutable

          RegularFile getJavacExecutable()

      Returns the java compiler executable for this JDK.

    - #### getJavadocExecutable

          RegularFile getJavadocExecutable()

      Returns the javadoc executable for this JDK.

    - #### getToolsClasspath

          FileCollection getToolsClasspath()

      Returns the classpath required to compile against the tools APIs of this JDK. This will be empty when no additional files are required.